const attrPluginName = 'curly_attributes';
const uniqueCustomIdAttr = state => {
    const { tokens } = state;
    let map;
    tokens
        .filter(x => !!x.attrGet('id'))
        .forEach(token => {
        map !== null && map !== void 0 ? map : (map = {});
        const idAttrValue = token.attrGet('id');
        if (map.hasOwnProperty(idAttrValue)) {
            const count = map[idAttrValue];
            token.attrSet('id', `${idAttrValue}-${count}`);
            map[idAttrValue] = count + 1;
        }
        else {
            map[idAttrValue] = 1;
        }
    });
    map = undefined;
};
const plugin = (md, opt) => {
    if (md.core.ruler.getRules('').some(x => x.name === attrPluginName) != null) {
        md.core.ruler.after(attrPluginName, 'unique_custom_id_attribute', uniqueCustomIdAttr, opt);
    }
};
export { plugin as UniqueCustomIdAttrs };
//# sourceMappingURL=unique-custom-id.js.map